perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From William Bulley <...@umich.edu>
Subject Re: apache2 or mod_perl2 oddball error
Date Fri, 17 Jun 2011 20:09:50 GMT
According to Fred Moyer <fred@redhotpenguin.com> on Fri, 06/17/11 at 13:43:
>
> On Fri, Jun 17, 2011 at 10:29 AM, William Bulley <web@umich.edu> wrote:
> > I have Perl 5.14 compiled from source.
> > I have apache 2.2.19 ?compiled from source.
> > I have mod_perl2 2.0.5 compiled from source (with these patches):
>
> Can you pull 2.0.6-dev from svn and build?
>
> http://perl.apache.org/download/source.html
>
>   % svn checkout https://svn.apache.org/repos/asf/perl/modperl/trunk/
> mod_perl-2.0

I have just built/installed mod_perl-2.0.6 (not sure about the dev part)
and tried again to start the apache server (using "# apachectl -t"):

   [Fri Jun 17 16:05:58 2011] [error] syntax error at (eval 21) line 1, near "require Apache2::Const
-"\n
   [Fri Jun 17 16:05:58 2011] [error] Can't load Perl module Apache2::Const -compile =>
':common' for server localhost:80, exiting...

This is very frustrating...  :-(

Regards,

web...

--
William Bulley                     Email: web@umich.edu

72 characters width template ----------------------------------------->|

Mime
View raw message